%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-colors
Version:    1.3.3
Release:    %mkrel 4
Summary:    Get colors in your Node.js console
License:    MIT
Group:      System/Libraries
URL:        https://github.com/Marak/colors.js
Source0:    https://github.com/Marak/colors.js/archive/v%{version}/colors-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%autosetup -n colors.js-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/colors
cp -pr package.json safe.js lib themes/ \
    %{buildroot}%{nodejs_sitelib}/colors
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
FORCE_COLOR=1 %__nodejs tests/basic-test.js && %__nodejs tests/safe-test.js
%endif


%files
%doc README.md ROADMAP.md examples
%license LICENSE
%{nodejs_sitelib}/colors



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.3.3-4.mga10
+ Revision: 2208985
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.3.3-3.mga9
+ Revision: 1819376
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.3.3-2.mga8
+ Revision: 1522054
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Jan 16 2019 joequant <joequant> 1.3.3-1.mga7
+ Revision: 1357483
- remove tests
- update to 1.3.3
- update to 1.2.1
- update to 1.2.1
- update to 1.3.3
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Wed May 18 2016 neoclust <neoclust> 1.1.2-1.mga6
+ Revision: 1016765
- New version 1.1.2

* Mon Feb 08 2016 umeabot <umeabot> 0.6.2-2.mga6
+ Revision: 950291
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.6.2-1.mga5
+ Revision: 793713
- imported package nodejs-colors


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 0.6.2-2.mga5
- import from FC

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.2-1
- update to upstream release 0.6.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.0-3
- fix compatible arches for f18/el6

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.0-2
- rebuild for missing npm(colors) provides on EL6
- restrict to compatible arches

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.0-1
- initial package
